bug-gnu-emacs
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: buidling emacs 21.2 on solaris 7 or later


From: Eli Zaretskii
Subject: Re: buidling emacs 21.2 on solaris 7 or later
Date: Sat, 04 Jan 2003 13:08:46 +0300

> Date: Thu, 02 Jan 2003 15:31:12 -0800 (PST)
> From: John Bartelt <address@hidden>
> 
> I had successfully built emacs 21.2 on solaris 7 twice in 2002.
> In December, I tried to build it again (same computer, same version
> of gcc).  But the build failed in the lwlib directory (see below).
> I traced this new problem to a change in an openwin include file,
> X11/Xos.h.  It was changed by Sun's patch 108376-36.  If I edit
> xlwmenu.c to use the older version of this file, the build succeeds
> completely.  If I use the newer patched version, the build fails
> 100% of the time, independent of the compiler version (cc or gcc).
> 
> These details are specific to solaris 7; but the build fails in the
> same way on solaris 8 and 9.  The patch numbers may be different.

Search the archives of this group for similar problems, there's a
patch that was posted here to fix this.




reply via email to

[Prev in Thread] Current Thread [Next in Thread]